Skip to main content
GET
/
projects
/
{project_reference}
/
workflows
/
{workflow_id}
Get Workflow
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/workflows/{workflow_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "target": "<string>",
  "source_path": "<string>",
  "edit_mode": "structured",
  "version": "<string>",
  "input_schema": {},
  "output_schema": {},
  "schedulable": true
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
workflow_id
string
required

Workflow identifier

Query Parameters

runtime_target_kind
enum<string> | null

Provide the runtime target kind.

Available options:
production,
environment,
preview_branch
target_environment_id
string<uuid> | null

Provide the target environment id.

target_branch_id
string<uuid> | null

Provide the target branch id.

source_target_kind
enum<string>

Provide the source target kind.

Available options:
project,
production,
environment,
preview_branch

Response

Discovered project workflow

id
string
required
name
string
required
description
string | null
required
target
string
required
source_path
string
required
edit_mode
enum<string>
required
Available options:
structured,
source_only
version
string | null
required
input_schema
object
required
output_schema
object
required
schedulable
boolean
required